/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomStyleSheetList_H__
#define __GdomStyleSheetList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "gdom/GdomStyleSheet.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomStyleSheetList GdomStyleSheetList;
typedef struct _GdomStyleSheetListClass GdomStyleSheetListClass;


#define GDOM_TYPE_STYLE_SHEET_LIST            (gdom_style_sheet_list_get_type())
#define GDOM_STYLE_SHEET_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_STYLE_SHEET_LIST, GdomStyleSheetList))
#define GDOM_STYLE_SHEET_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_STYLE_SHEET_LIST, GdomStyleSheetList)Class)
#define GDOM_IS_STYLE_SHEET_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_STYLE_SHEET_LIST))
#define GDOM_IS_STYLE_SHEET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_STYLE_SHEET_LIST))
#define GDOM_STYLE_SHEET_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_STYLE_SHEET_LIST, GdomStyleSheetListClass))

typedef struct _GdomStyleSheetListPrivate GdomStyleSheetListPrivate;

struct _GdomStyleSheetList {
    GdomDOMObject parent_instance;
    GdomStyleSheetListPrivate *priv;
};

struct _GdomStyleSheetListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_style_sheet_list_get_type (void);

WEBKIT_API GdomStyleSheet *
gdom_style_sheet_list_item (GdomStyleSheetList *thiz, gulong index);

G_END_DECLS

#endif /* __GdomStyleSheetList_H__ */
